curl --request GET \
--url https://api.gcore.com/billing/org/v1/addendums/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/billing/org/v1/addendums/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/billing/org/v1/addendums/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"client_id": 123,
"client": {
"id": 123,
"company_name": "<string>"
},
"status": "upcoming",
"active_range": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"currency": {
"id": 123,
"char_code": "<string>",
"symbol": "<string>"
},
"plan": {
"id": 123,
"name": "<string>"
},
"product": {
"id": 123,
"name": "<string>",
"internal_name": "<string>"
},
"status_at_active_at": "<string>"
}Get a single Addendum
Retrieve a single Addendum by ID.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Response
Request successful.
The ID of the client associated with the addendum.
The client associated with the addendum.
Show child attributes
Show child attributes
Addendum status
upcoming- upcomingactive- activepaused- pausedstopped- stopped
upcoming, active, paused, stopped The time range during which the addendum is active.
Show child attributes
Show child attributes
Date of current addendum creation
The currency used in the addendum.
Show child attributes
Show child attributes
The plan associated with the addendum.
Show child attributes
Show child attributes
The product associated with the addendum.
Show child attributes
Show child attributes
Status of the addendum at the requested active_at time.
This field is not present by default, but it can be requested by passing the active_at query parameter.
Was this page helpful?